Subject: Re: Rebasing part of a branch

From: Jakub Narebski <[email-masked]>
Date: Thu, 02 Nov 2006 12:15:38 +0100

Andy Parkins wrote:

> Hello,
> 
> Is there a way to rebase part of a branch?  For example
> 
>                         H---I---J topicB
>                        /
>               E---F---G  topicA
>              /
> A---B---C---D  master
> 
> And I want:
> 
>              H---I---J  topicB
>             /
>             | E---F---G  topicA
>             |/
> A---B---C---D  master

We have
 git-rebase [--merge] [--onto <newbase>] <upstream> [<branch>]

Try then
$ git rebase --onto master topicA topicB

(if you checked out topicB, you don't need last topicB in git-rebase).
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git